Search Index 9 CZDc GFy ZNHH9v EMu FVa DH
The search index 9 czdc gfy znhh9v emu fva dh resource.
/searchIndex_9CZDcGFyZNHH9vEMuFVaDHList search index 9 czdc gfy znhh9v emu fva dhs
Retrieve a paginated list of search index 9 czdc gfy znhh9v emu fva dhs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/searchIndex_9CZDcGFyZNHH9vEMuFVaDH?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": 0,
"entityType": "string",
"entityId": "xyz789",
"title": "string",
"link": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"tags": []
}
]/searchIndex_9CZDcGFyZNHH9vEMuFVaDHRetrieve a search index 9 czdc gfy znhh9v emu fva dh
Fetch a single search index 9 czdc gfy znhh9v emu fva dh by filtering on `id`.
Query parameters
idstringMatch on the search index 9 czdc gfy znhh9v emu fva dh's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/searchIndex_9CZDcGFyZNHH9vEMuFVaDH?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": 0,
"entityType": "string",
"entityId": "xyz789",
"title": "string",
"link": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"tags": []
}/searchIndex_9CZDcGFyZNHH9vEMuFVaDHCreate a search index 9 czdc gfy znhh9v emu fva dh
Create a new search index 9 czdc gfy znhh9v emu fva dh.
Body parameters
entityTypestringrequiredentityIdstringrequiredtitlestringrequireddescriptionstringlinkstringrequiredtagsarraymetadataobjectsearchVectorstringcurl --request POST \
--url https://rest.carbon.ms/searchIndex_9CZDcGFyZNHH9vEMuFVaDH \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"entityType":"string","entityId":"xyz789","title":"string","description":"string","link":"string"}'{
"id": 0,
"entityType": "string",
"entityId": "xyz789",
"title": "string",
"link": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"tags": []
}/searchIndex_9CZDcGFyZNHH9vEMuFVaDHUpdate a search index 9 czdc gfy znhh9v emu fva dh
Update an existing search index 9 czdc gfy znhh9v emu fva dh, matched on `id`.
Body parameters
entityTypestringrequiredentityIdstringrequiredtitlestringrequireddescriptionstringlinkstringrequiredtagsarraymetadataobjectsearchVectorstringcurl --request PATCH \
--url 'https://rest.carbon.ms/searchIndex_9CZDcGFyZNHH9vEMuFVaDH?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"entityType":"string"}'{
"id": 0,
"entityType": "string",
"entityId": "xyz789",
"title": "string",
"link": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"tags": []
}/searchIndex_9CZDcGFyZNHH9vEMuFVaDHDelete a search index 9 czdc gfy znhh9v emu fva dh
Delete a search index 9 czdc gfy znhh9v emu fva dh, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the search index 9 czdc gfy znhh9v emu fva dh to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/searchIndex_9CZDcGFyZNHH9vEMuFVaDH?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'